pm5conv
========

pm5conv converts binary data from Concept2 rowers with PM5 monitor to human readable text.

You can find releases on [releases.gutmet.org](https://releases.gutmet.org) or
build it yourself.


build
-----

You need to have Go installed. You can then build the executable with 'go build cmd/pm5conv.go'.


usage
-----------

Call pm5conv from the command line, with the path to your logbook directory as parameter. Example:

```
./pm5conv /media/alexander/myusbstick/Concept2/Logbook
```

or as Windows user with your USB stick as device 'F:\', execute 'cmd' from the start menu, then:

```
cd C:\PATH\TO\PM5CONV
pm5conv F:\Concept2\Logbook
```


You will get JSON output to the command line. To save it to a file, redirect the output with '>', e.g.:

```
pm5conv F:\Concept2\Logbook > output.txt
```
